package  
{
	import net.flashpunk.Entity;
	import net.flashpunk.Graphic;
	import net.flashpunk.graphics.Image;
	import net.flashpunk.Engine;
	import net.flashpunk.FP;
	
	/**
	 * ...
	 * @author tony
	 */
	public class Tile extends Entity 
	{
		public var image: Image = new Image(Assets.img_tile_frame);
		
		public var target_color: uint;
		
		public function Tile() 
		{
			image.tinting = 1;
			image.color = 0x979797;
			target_color =  0x979797;
			graphic = image;
			
			type = "tile";
		}
		
		override public function update():void 
		{
			super.update();
			
			image.color = FP.colorLerp(image.color, target_color, .1);
		}
	}

}