package  
{
	import net.flashpunk.debug.Console;
	import net.flashpunk.graphics.Spritemap;
	import net.flashpunk.World;
	import net.flashpunk.graphics.Image;
	import net.flashpunk.FP;
	import net.flashpunk.Entity;
	
	public class mah_world extends World
	{
		public var tiles: Array = new Array();
		public var slider_timer: Number = 0;
		
		public var slider_wait: Number = .2;
		
		public var high_score: Number = 0;
		
		public function mah_world(_high_score: Number) 
		{
			high_score = _high_score;
			
			for (var i:int = 0; i < Bit.GRID_SIZE; i++)
			{
				var t:Tile = new Tile();
				t.x = i * 15 + 3;
				t.y = 15;
				if (i == 15 || i == 16) t.target_color = 0x146d0f;
				add(t);
				tiles[tiles.length] = t;
			}
			
			add(new Player(13));
			
			add(new Prize(FP.choose(1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 14, 17,
									18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30)));
		}
		
		override public function update():void 
		{
			super.update();
			//var e_list:Array = [];
			//getClass(Slider, e_list);
			//trace(e_list.length);
			
			//if (high_score > 5) slider_wait = .17;
			
			slider_timer += FP.elapsed;
			if (slider_timer > slider_wait)
			{
				slider_timer = 0;
				
				var e:Slider = new Slider(FP.choose(0, 31));
				add(e);
				
				//var enemy: Entity;
				//enemy = e.collide("slider", e.x, e.y);
				
				//if (enemy) remove(e);
			}
			
		}
		
	}

}