package  
{
	import net.flashpunk.Entity;
	import net.flashpunk.Graphic;
	import net.flashpunk.graphics.Image;
	import net.flashpunk.FP;
	
	/**
	 * ...
	 * @author tony
	 */
	public class Bit extends Entity 
	{
		public var image: Image = new Image(Assets.img_bit);
		public var target_color: uint;
		
		public var index: Number = 0;
		
		public static var GRID_SIZE : Number = 32;
		public static var MOVE_SIZE : Number = 15;
		
		public function Bit(_index:Number) 
		{
			image.tinting = 1;
			image.color = 0xffffff;
			target_color =  0xffffff;
			graphic = image;
			
			x = 3 + (MOVE_SIZE * _index) + 3;
			y = 18;
			
			setHitbox(6, 6);
			
			index = _index;
		}
		
		
		
		override public function update():void 
		{
			super.update();
			
			image.color = FP.colorLerp(image.color, target_color, .1);
		}
	}

}