package  
{
	import net.flashpunk.Entity;
	import net.flashpunk.FP;
	import net.flashpunk.Sfx;
	
	/**
	 * ...
	 * @author tony
	 */
	public class Player_Bullet extends Bit 
	{
		public var move_timer:Number = 0;
		public var flash_timer:Number = 0;
		
		public var move_dir: Number;
		
		public function Player_Bullet(_move_dir:Number, index:Number) 
		{
			super(index);
			
			target_color = 0xf6776d;
			
			move_dir = _move_dir;
			
			type = "player_bullet";
		}
		9
		override public function update():void 
		{
			super.update();
			
			
			
			var w: mah_world = world as mah_world;
			(w.tiles[index] as Tile).image.color = 0xae52ef;
			
			
			var e:Entity = null;
			e = collide("slider", x, y);
			if (!e) e = collide("slider", x + (MOVE_SIZE * move_dir), y);
			if (!e) e = collide("slider", x - (MOVE_SIZE * move_dir), y);
			if (e)
			{
				new Sfx(Assets.snd_slider_die).play();
				var sdd: mah_world = world as mah_world;
				(sdd.tiles[index] as Tile).image.color = 0xff0303;
				world.remove(e);
				world.remove(this);
			}
			
			flash_timer += FP.elapsed;
			if (flash_timer > FP.random)
			{
				flash_timer = 0;
				image.color = 0xc8cbff;
			}
			
			move_timer += FP.elapsed;
			if (move_timer > .01)
			{
				if (index > 0 && index < GRID_SIZE - 1)
				{
					move_timer = 0;
					index += move_dir;
					x += MOVE_SIZE * move_dir;
				}
				else
				{
					world.remove(this);
				}
			}
			
			
			
		}
		
	}

}