package  
{
	import net.flashpunk.Entity;
	import net.flashpunk.FP;
	import net.flashpunk.Sfx;
	
	/**
	 * ...
	 * @author tony
	 */
	public class Slider extends Bit 
	{
		public var flash_timer:Number = 0;
		public var move_timer: Number = 0;
		
		public var wait_time: Number = .25;
		public var damage: Number = 10;
		
		public function Slider(index:Number) 
		{
			super(index);
			target_color = 0xed5656;
			
			new Sfx(Assets.snd_slider_spawn).play();
			
			type = "slider";
		}
		
		override public function update():void 
		{
			super.update();
			
			
			flash_timer += FP.elapsed;
			if (flash_timer > .3)
			{
				flash_timer = 0;
				image.color = 0xa3d0a2;
			}
			
			var a: Array = [];
			world.getClass(Player, a);
			var p: Player = a[0];
			
			if (p.score > 4) wait_time = .21;
			
			
			var move_dir: Number = -1;
			if ((p.index > index)) move_dir = 1;
			
			move_timer += FP.elapsed;
			if (move_timer > wait_time)
			{
				if (index > -1 && index < GRID_SIZE)
				{
					move_timer -= wait_time;
					
					
					
					//var enemy: Entity;
					//enemy = collide("slider", x, y);
					
					//if (!enemy)
					//{
						index += move_dir;
						x += MOVE_SIZE * move_dir;
					//}
					//index += move_dir;
					//x += MOVE_SIZE * move_dir;
				}
				else
				{
					world.remove(this);
				}
			}
		}
	}

}